Class SupportCasesImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.SupportCasesImpl
- All Implemented Interfaces:
SupportCases
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddNotesByCaseNumber(String caseNumber, SupportCaseNoteRequest request) Adds a note to a case identified by its case number, via the support v1 API.addNotesById(String id, SupportCaseNoteRequest request) Adds a note to a trouble ticket / case identified by its case or order number.cancel(String id, SupportCaseCancelRequest request) Cancels a trouble ticket / case identified by its case or order number.create(SupportCaseCreateRequest request) Creates a trouble ticket / case.byte[]downloadAttachment(String caseId, String attachmentId) Downloads the binary content of an attachment on a support case.Gets a trouble ticket / case by its case or order number.getEmailDetails(String emailId, String caseNumber) Retrieves the full details of a single email associated with a support case.
-
Constructor Details
-
SupportCasesImpl
public SupportCasesImpl()
-
-
Method Details
-
create
Description copied from interface:SupportCasesCreates a trouble ticket / case.- Specified by:
createin interfaceSupportCases- Parameters:
request- the ticket create request body- Returns:
- the created case or order number (the
idof theTicketResponsebody)
-
getByCaseOrOrderNumber
Description copied from interface:SupportCasesGets a trouble ticket / case by its case or order number.- Specified by:
getByCaseOrOrderNumberin interfaceSupportCases- Parameters:
id- the case or order number- Returns:
- the trouble ticket / case
-
addNotesById
Description copied from interface:SupportCasesAdds a note to a trouble ticket / case identified by its case or order number.- Specified by:
addNotesByIdin interfaceSupportCases- Parameters:
id- the case or order numberrequest- the note request body- Returns:
trueif the note was added successfully
-
cancel
Description copied from interface:SupportCasesCancels a trouble ticket / case identified by its case or order number.- Specified by:
cancelin interfaceSupportCases- Parameters:
id- the case or order numberrequest- the cancellation request body- Returns:
trueif the ticket was cancelled successfully
-
addNotesByCaseNumber
Description copied from interface:SupportCasesAdds a note to a case identified by its case number, via the support v1 API.- Specified by:
addNotesByCaseNumberin interfaceSupportCases- Parameters:
caseNumber- the case numberrequest- the note request body- Returns:
trueif the note was added successfully
-
downloadAttachment
Description copied from interface:SupportCasesDownloads the binary content of an attachment on a support case.Maps to
GET /support/v2/tickets/attachment/download/{caseId}/{attachmentId}.- Specified by:
downloadAttachmentin interfaceSupportCases- Parameters:
caseId- the case or order number the attachment belongs toattachmentId- the attachment id- Returns:
- the raw attachment bytes
-
getEmailDetails
Description copied from interface:SupportCasesRetrieves the full details of a single email associated with a support case.Maps to
GET /support/v1/tickets/emailDetails/{emailId}/caseNumber/{caseNumber}.- Specified by:
getEmailDetailsin interfaceSupportCases- Parameters:
emailId- the email idcaseNumber- the case number the email belongs to- Returns:
- the email details
-